package cn.sh.stc.sict.theme.hpgp.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 预约评价(HpAppointmentEva)表实体类
 *
 * @author makejava
 * @since 2022-06-23 10:46:03
 */
@Data
@SuppressWarnings("serial")
@EqualsAndHashCode(callSuper = true)
public class HpAppointmentEva extends Model<HpAppointmentEva> {
    private Long id;
    private Long userId;
    private Long patientId;
    private String patientName;
    private Long appId;
    private String hospCode;
    private String hospName;
    private String deptCode;
    private String deptName;
    private String doctorCode;
    private String doctorName;
    /**
     * 综合评价
     **/
    @ApiModelProperty(value = "综合评价")
    private String comprehensiveEva;
    /**
     * 疗效评价
     **/
    @ApiModelProperty(value = "疗效评价")
    private String efficacyEva;
    /**
     * 态度评价
     **/
    @ApiModelProperty(value = "态度评价")
    private String attitudeEva;
    private Date appTime;
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}